Bug 498647 - X crashes when using the program Coot with this Ati driver
X crashes when using the program Coot with this Ati driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 12:21 EDT by zachary charlop-powers
Modified: 2009-12-18 04:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:23:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (64.40 KB, text/plain)
2009-05-01 14:10 EDT, zachary charlop-powers
no flags Details

  None (edit)
Description zachary charlop-powers 2009-05-01 12:21:07 EDT
Description of problem: Use of the program Coot on Fedora 10, with the dirver and xorg driver stated belwo will cause X to crash everytime. Background jobs (music) will continue but the screen and keyboard will be frozen. The mouse will work though.


Version-Release number of selected component (if applicable):

xorg-x11-drv-ati 6.10.0-2.fc10
ATI Technologies Inc RV380 [Radeon X600]

How reproducible:every time i try coot


Steps to Reproduce:
1. install coot (binary, build RPM, or from source)
2. type ./coot
3. x freeze
  
Actual results: total freeze of screen. mouse works keyboard doesn't


Expected results: coot opens and runs.


Additional info:

I tried numerous versions of coot including building it from source (thinking it was a bug - maybe a python or guile mismatch) before I stumbled upon this thread and filed a bug:
http://www.mail-archive.com/coot@jiscmail.ac.uk/msg00749.html

I would have liked to give a better clue as to what is the problem. Here is some info about coot:
https://bugzilla.redhat.com/show_bug.cgi?id=472150

i built the coot rpm from the sources listed on that bug webpage.

I will install fglrx drivers and can install a previous ATI driver to get coot functional.
Comment 1 zachary charlop-powers 2009-05-01 14:10:55 EDT
Created attachment 342136 [details]
xorg log
Comment 2 zachary charlop-powers 2009-05-01 14:11:57 EDT
using the fglrx makes everything funtional. I attached my /var/log/xorg.0.log file.

let me know if i can help trouble shoot in any other way.
Comment 3 Bug Zapper 2009-11-18 06:53:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:23:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.